<?php
// Copyright 1999-2023. Plesk International GmbH. All rights reserved.
?>
<?php if (!empty($this->warningMessages)):?>
    <?php
        $link = $this->warningPostfixData['link'];
        $text = $this->warningPostfixData['text'];
    ?>
    <script type="text/javascript">
        //<![CDATA[
        Jsw.onReady(function() {
            var text = '<span class="title">' + <?= $this->jsLmsg('components.status.warning'); ?> + ': </span>';
            <?php foreach($this->warningMessages as $warning):?>
            text += <?= $this->jsEscape($warning); ?> + '<br/>';
            <?php endforeach; ?>
            text += '<br><a href="' + <?= $this->jsEscape($link); ?> + '">' + <?= $this->jsEscape($text); ?> + '</a>';
            Jsw.addStatusMessage('warning', text);
        });
        //]]>
    </script>
<?php endif; ?>
